package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.TrsArticleInfo;

/**
 * 稿件Service接口
 * 
 * @author ruoyi
 * @date 2025-03-20
 */
public interface ITrsArticleInfoService 
{
    /**
     * 查询稿件
     * 
     * @param id 稿件主键
     * @return 稿件
     */
    public TrsArticleInfo selectTrsArticleInfoById(Long id);

    /**
     * 查询稿件列表
     * 
     * @param trsArticleInfo 稿件
     * @return 稿件集合
     */
    public List<TrsArticleInfo> selectTrsArticleInfoList(TrsArticleInfo trsArticleInfo);

    /**
     * 新增稿件
     * 
     * @param trsArticleInfo 稿件
     * @return 结果
     */
    public int insertTrsArticleInfo(TrsArticleInfo trsArticleInfo);

    /**
     * 修改稿件
     * 
     * @param trsArticleInfo 稿件
     * @return 结果
     */
    public int updateTrsArticleInfo(TrsArticleInfo trsArticleInfo);

    /**
     * 批量删除稿件
     * 
     * @param ids 需要删除的稿件主键集合
     * @return 结果
     */
    public int deleteTrsArticleInfoByIds(String ids);

    /**
     * 删除稿件信息
     * 
     * @param id 稿件主键
     * @return 结果
     */
    public int deleteTrsArticleInfoById(Long id);
}
